=== debian/changelog ===
obs-scene-notes-dock (0.0.4-1) unstable; urgency=medium

  * New upstream version 0.0.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Feb 2022 14:36:36 -0300

obs-scene-notes-dock (0.0.3-1) unstable; urgency=medium

  * New upstream release 0.0.3.
  * Upload to unstable.
  * debian/copyright: updated upstream copyright years.
  * debian/install: removed. The upstream source code already installs the data
    file.
  * debian/patches/010_fix-cmake.patch: removed. The upstream fixed the source
    code. Thanks.
  * debian/rules: fixed a mistake when installing the data file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Feb 2022 16:47:33 -0300

obs-scene-notes-dock (0.0.2-2) UNRELEASED; urgency=medium

  * Using variables to improve and standardize the building and CI test.
    Consequently, updated the following files:
      - debian/rules
      - debian/tests/control
  * debian/copyright: updated packaging copyright years.
  * debian/upstream/metadata: added Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 01 Jan 2022 21:08:22 -0300

obs-scene-notes-dock (0.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1002802)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Dec 2021 19:28:37 -0300
