=== debian/changelog ===
obs-scene-notes-dock (0.1.1-4) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:33:36 -0300

obs-scene-notes-dock (0.1.1-3) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 21:42:20 -0300

obs-scene-notes-dock (0.1.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: created to update the pt_BR
    translation.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/upstream/metadata: added Screenshots field.
  * debian/watch: improved the search rule, checking if the upstream forgotten
    to add a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Jan 2023 22:26:00 -0300

obs-scene-notes-dock (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1.
  * Ran wrap-and-sort.
  * debian/control:
      - Bumped relationships from 26 to 28.0.1 for obs-studio and libobs.
      - Bumped Standards-Version to 4.6.1.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/upstream/metadata: removed duplicate Donation field.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 13 Oct 2022 14:35:30 -0300
