=== debian/control ===
Source: obs-scene-notes-dock
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libobs-dev (>= 28.0.1),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/scene-notes-dock.1398/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-notes-dock
Vcs-Git: https://salsa.debian.org/debian/obs-scene-notes-dock.git
Rules-Requires-Root: no

Package: obs-scene-notes-dock
Architecture: any
Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio to create notes for each scene
 This plugin allows anybody to create a Dock for showing and editing notes
 for the current active scene. This is useful to describe each scene, to make
 a little script, a list of links or a task list to be used in specific scenes
 during the stream.
