=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,21 @@
 %:
 	dh $@
 
+execute_before_dh_auto_configure:
+	if [ "$(shell hostname)" = "canopus" ]; then \
+	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
+	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
+	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
+	        echo "ERROR: Translation to pt_BR is out of date."; \
+	        exit 1; \
+	    fi; \
+	fi
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_OUT_OF_TREE=1 \
                              -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
-                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}
+                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
+                             -DLINUX_PORTABLE=Off
 
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
