## obs-scene-notes-dock 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+    legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(scene-notes-dock VERSION 0.1.1)
+project(scene-notes-dock VERSION 0.2.0)
 set(PROJECT_FULL_NAME "Scene Notes Dock")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -62,22 +65,27 @@
 		Qt::Widgets
 		OBS::libobs)
 
-	if(BUILD_OUT_OF_TREE)
-		if(NOT LIB_OUT_DIR)
-			set(LIB_OUT_DIR "/lib/obs-plugins")
-		endif()
-		if(NOT DATA_OUT_DIR)
-			set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
-		endif()
-		set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
-		install(TARGETS ${PROJECT_NAME}
-			LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
-		install(DIRECTORY data/locale
-			DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+if(BUILD_OUT_OF_TREE)
+	if(NOT LIB_OUT_DIR)
+		set(LIB_OUT_DIR "/lib/obs-plugins")
+	endif()
+	if(NOT DATA_OUT_DIR)
+		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
+	endif()
+	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
+	install(TARGETS ${PROJECT_NAME}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
+	install(DIRECTORY data/locale
+		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
+else()
+	target_include_directories(${PROJECT_NAME} PRIVATE
+		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
 	else()
-		target_include_directories(${PROJECT_NAME} PRIVATE
-			"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
 		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+		setup_plugin_target(${PROJECT_NAME})
 	endif()
-	setup_plugin_target(${PROJECT_NAME})
+endif()
