=== debian/changelog ===
obs-scene-notes-dock (0.2.0-4) unstable; urgency=medium

  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 19:57:45 -0300

obs-scene-notes-dock (0.2.0-3) unstable; urgency=medium

  * debian/control: changed qtbase5-dev by qt6-base-dev in Build-Depends field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/020_fix-FTBFS.patch: created to fix a FTBFS. Thanks to
    Exeldro <exelsor@hotmail.com>. (Closes: #1060974)
  * debian/rules: removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 May 2024 16:37:16 -0300

obs-scene-notes-dock (0.2.0-2) unstable; urgency=medium

  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 23:03:43 -0300

obs-scene-notes-dock (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0.
  * debian/control:
      - Added a Breaks field to make this plugin incompatible with
        obs-text-slideshow, no longer in Debian.
      - Bumped (build-)dependency of libobs-dev and obs-studio to 29.
  * debian/patches/010_update-pt-BR.patch: updated with new translations.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 14:03:38 -0300
