=== debian/changelog ===
obs-scene-notes-dock (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from qt6-base-dev to qt6-base-private-dev in Build-Depends
        field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated dependencies to require libobs-dev and obs-studio >= 32.
        (Closes: #1128462)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/: dropped all patches because the upstream fixed the source
    code. Thanks!
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 12:54:48 -0300
