=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,10 @@
                              -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                              -DLINUX_PORTABLE=Off
 
+# blhc should ignore CMake ABI tests.
+execute_before_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: /usr/bin/c\+\+ .*/Modules/CMakeCXXCompilerABI\.cpp .*'
+
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
 	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so
